#!/usr/bin/env python3
#
# 
# A quickly hacked together "proof of search"
#
#
import os
import sys

sys.path.append(os.path.join(os.path.dirname(__file__), '../lib'))

import config
import storage


def searchterm(arg):
    ''' Main entry point
    '''
    
    srchterm = arg[1].lower()
    
    search_type = "ALL"
    if len(arg) > 2:
        search_type = arg[2]
        
    for e in storage.INDEXES[search_type]:
        if srchterm in e['u'].lower():
            # Found a match           
            # Get info for the match
            info = storage.getStoredItem(e['u'])
            
            print(f"{e['u']} : {info['title']} : {info['last-mod']}")
            continue
        
        if srchterm in e['n'].lower():
            # Found a match           
            # Get info for the match
            info = storage.getStoredItem(e['u'])
            
            print(f"{e['u']} : {info['title']} : {info['last-mod']}")
        
            
    

if __name__ == "__main__":
    DB_PATH = config.getDBPath()
    storage.DB_PATH = DB_PATH
    storage.loadIndex()
    searchterm(sys.argv)


