#!/usr/bin/env python3
#
# Delete entries for a URL
#

import os
import sys

sys.path.append(os.path.join(os.path.dirname(__file__), '../lib'))

import config
import storage
    

if __name__ == "__main__":
    DB_PATH = config.getDBPath()
    storage.DB_PATH = DB_PATH
    prefix = False
    
    try:
        url = sys.argv[1]
        if sys.argv[1] == "-p":
            prefix = True
            url = sys.argv[2]
    except:
        print(f"Usage: {sys.argv[0]} [-p] [url]")
        sys.exit(1)
    

    if not prefix:
        # Delete the one item
        print(f"Deleting {url}")
        storage.deleteStoredItem(url)
    else:
        # We need to load the index so that we can identify
        # urls starting with the provided prefix and delete those
        storage.INDEX_ALL = True
        storage.loadIndex()
        
        for e in storage.INDEXES['ALL']:
            if e['u'].startswith(url):
                print(f"Deleting {e['u']}")
                storage.deleteStoredItem(e['u'])
                
